Skip to main content
`Ctrl`+`K`

# DMClearGlobalVectors

Destroys all the global vectors that have been created for `DMGetGlobalVector()` calls in this `DM`

## Synopsis

    #include "petscdm.h"
    PetscErrorCode DMClearGlobalVectors(DM dm)

Collective

## Input Parameter

- dm - the `DM`

## See Also

`DM`, `DMCreateGlobalVector()`, `VecDuplicate()`, `VecDuplicateVecs()`, `DMDACreate1d()`, `DMDACreate2d()`, `DMDACreate3d()`, `DMGlobalToLocalBegin()`, `DMGlobalToLocalEnd()`, `DMLocalToGlobalBegin()`, `DMCreateLocalVector()`, `DMRestoreLocalVector()`, `VecStrideMax()`, `VecStrideMin()`, `VecStrideNorm()`, `DMClearLocalVectors()`

## Level

developer

## Location

src/dm/interface/dmget.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages